package kr.gmtc.gw.standstatus.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.annotation.PostConstruct;

import java.util.*;
import java.util.concurrent.LinkedBlockingQueue;

@Configuration("ServiceConfig")
public class ServiceConfig {
	
	@Value("${root}")
	private String root;

	@PostConstruct
	private void initialize() {
	}

	@Bean(name = "packetQ")
	public Queue<String> packetQ(){
		return new LinkedBlockingQueue<String>();
	}
	
}
